=== debian/changelog ===
ros-iron-laser-proc (1.0.2-6jammy) jammy; urgency=high

  * Use C-style strings for RCLCPP_ macros. (#12 <https://github.com/ros-perception/laser_proc/issues/12>)
  * Contributors: Chris Lalancette

 -- Chad Rockey <chadrockey@willowgarage.com>  Mon, 25 Jan 2021 16:00:00 -0000

ros-iron-laser-proc (1.0.1-6jammy) jammy; urgency=high

  * Make sure to add necessary build dependencies. (#9 <https://github.com/ros-perception/laser_proc/issues/9>)
  * Contributors: Chris Lalancette

 -- Chad Rockey <chadrockey@willowgarage.com>  Mon, 23 Mar 2020 16:00:00 -0000

ros-iron-laser-proc (1.0.0-6jammy) jammy; urgency=high

  * export symbols in laser_proc component (#8 <https://github.com/ros-perception/laser_proc/issues/8>)
  * Make the laser_proc library shared. (#7 <https://github.com/ros-perception/laser_proc/issues/7>)
  * Ros2 devel (#6 <https://github.com/ros-perception/laser_proc/issues/6>)
  * Contributors: Chris Lalancette, Karsten Knese, Brett, Gu, Chao Jie, Marc-Antoine Testier

 -- Chad Rockey <chadrockey@willowgarage.com>  Mon, 16 Mar 2020 16:00:00 -0000

ros-iron-laser-proc (0.1.5-6jammy) jammy; urgency=high

  * update to use non deprecated pluginlib macro
  * Contributors: Jonathan Binney, Mikael Arguedas

 -- Chad Rockey <chadrockey@willowgarage.com>  Wed, 08 Aug 2018 16:00:00 -0000

ros-iron-laser-proc (0.1.4-6jammy) jammy; urgency=high

  * Install fix for Android.
  * Contributors: Chad Rockey

 -- Chad Rockey <chadrockey@willowgarage.com>  Sat, 29 Mar 2014 16:00:00 -0000

ros-iron-laser-proc (0.1.3-6jammy) jammy; urgency=high

  * No more Willow Garage email.
  * Contributors: Chad Rockey

 -- Chad Rockey <chadrockey@willowgarage.com>  Tue, 20 Aug 2013 16:00:00 -0000

ros-iron-laser-proc (0.1.2-6jammy) jammy; urgency=high

  * Uncaught except when subscribing to most_intense on non-intensity scans.
  * Updated function to be const.
  * Contributors: chadrockey

 -- Chad Rockey <chadrockey@willowgarage.com>  Wed, 13 Mar 2013 16:00:00 -0000

ros-iron-laser-proc (0.1.1-6jammy) jammy; urgency=high

  * Merge pull request #1 <https://github.com/ros-perception/laser_proc/issues/1> from ros-perception/fix_pluginlib_depend
    Add missing dependency on pluginlib
  * Add missing dependency on pluginlib
  * Contributors: Chad Rockey, William Woodall

 -- Chad Rockey <chadrockey@willowgarage.com>  Thu, 07 Mar 2013 16:00:00 -0000

ros-iron-laser-proc (0.1.0-6jammy) jammy; urgency=high

  * Minor fixes.
  * Added ROS nodelet/node.
  * Adjusted advertiseLaser to be more standard.  Fixed seg fault with first and laser publishers.
  * Preparing to test with urg_node
  * Initial commit
  * Contributors: Chad Rockey, chadrockey

 -- Chad Rockey <chadrockey@willowgarage.com>  Sun, 03 Mar 2013 16:00:00 -0000
